BearSSL

Data Fields
br_sslrec_in_chapol_class Struct Reference

Record decryption engine class, for ChaCha20+Poly1305. More...

`#include <bearssl_ssl.h>`

## Data Fields
br_sslrec_in_class | inner
| Superclass, as first vtable field. More...
void(* | init )(const br_sslrec_in_chapol_class **ctx, br_chacha20_run ichacha, br_poly1305_run ipoly, const void *key, const void *iv)
| Engine initialisation method. More...

## Detailed Description

Record decryption engine class, for ChaCha20+Poly1305.

This class type extends the decryption engine class with an initialisation method that receives the parameters needed for ChaCha20+Poly1305 processing: ChaCha20 implementation, Poly1305 implementation, key, and 12-byte IV.

## Field Documentation

## ◆ init

void(* br_sslrec_in_chapol_class::init) (const br_sslrec_in_chapol_class **ctx, br_chacha20_run ichacha, br_poly1305_run ipoly, const void *key, const void *iv)

Engine initialisation method.

This method sets the vtable field in the context.

Parameters

  ctx | context to initialise.
  ichacha | ChaCha20 implementation.
  ipoly | Poly1305 implementation.
  key | secret key (32 bytes).
  iv | static IV (12 bytes).

## ◆ inner

br_sslrec_in_class br_sslrec_in_chapol_class::inner

Superclass, as first vtable field.

The documentation for this struct was generated from the following file:

- bearssl_ssl.h